#include <QtGui/QGuiApplication>
#include "qtquick2applicationviewer.h"
#include <QDebug>

int main(int argc, char *argv[])
{
    QGuiApplication app(argc, argv);

    QtQuick2ApplicationViewer viewer;

//    QSurfaceFormat oriFmt = viewer.format();
//    qDebug() << "Ori format : " << oriFmt.samples();

//    QSurfaceFormat format;
//    format.setSamples(0);
//    viewer.setFormat(format);

    viewer.setMainQmlFile(QStringLiteral("qml/SampleFormat/main.qml"));
    viewer.showExpanded();

    return app.exec();
}
